ISPConfig3, Sury, Multiple PHP Versions ... .htm/html Files

Discussion in 'Installation/Configuration' started by NoFreak, Jul 18, 2021 at 12:25 PM.

  1. NoFreak

    NoFreak New Member

    Hello,
    all works fine.

    But one little Problem is left.
    I need PHP 5.3 and installed multiple PHP-Versions on my server. Works great.

    But if I have included PHP Code in HTML Files I need to added following line into the apache2.conf
    AddHandler application/x-httpd-php .htm .html

    Works well but ignored the PHP Version which I selected via ISPConfig.

    What is the right way to tell ISPConfig3 (or the server) to choose in this case the PHP-FPM selected PHP Version?
    My workaround is to rename the .html to .php ...

    Thanks for help
    Frank
     
  2. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Rename the file to .php :)
     

Share This Page